io.etcd.jetcd.api

## Class WatchGrpc.WatchImplBase

- java.lang.Object
- - io.etcd.jetcd.api.WatchGrpc.WatchImplBase

All Implemented Interfaces:
  io.grpc.BindableService

Enclosing class:
  WatchGrpc

    public abstract static class WatchGrpc.WatchImplBase
    extends Object
    implements io.grpc.BindableService

### Constructor Summary

Constructors
Constructor and Description
`WatchImplBase()`

### Method Summary

All Methods Instance Methods Concrete Methods
`io.grpc.ServerServiceDefinition` `bindService()`
`io.grpc.stub.StreamObserver<WatchRequest>` `watch(io.grpc.stub.StreamObserver<WatchResponse> responseObserver)` Watch watches for events happening or that have happened.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WatchImplBase

    public WatchImplBase()

### Method Detail

#### watch

    public io.grpc.stub.StreamObserver<WatchRequest> watch(io.grpc.stub.StreamObserver<WatchResponse> responseObserver)

     Watch watches for events happening or that have happened. Both input and output
     are streams; the input stream is for creating and canceling watchers and the output
     stream sends events. One watch RPC can watch on multiple key ranges, streaming events
     for several watches at once. The entire event history can be watched starting from the
     last compaction revision.

#### bindService

    public final io.grpc.ServerServiceDefinition bindService()

Specified by:
  `bindService` in interface `io.grpc.BindableService`